> ## Documentation Index
> Fetch the complete documentation index at: https://developer.worldly.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Country List

Use this endpoint to retrieve the list of countries available for use in material library life cycle processes. When [creating](/api-reference/pic/material-library/create) or [updating](/api-reference/pic/material-library/update) a custom material, each life cycle process can specify a `country` to represent where that manufacturing stage occurs.

<Note>
  For the list of countries used in **French Eco-Score** calculations, use [Get Countries for Eco Scores](/api-reference/pic/french-eco-scores/get-manufacturing-countries) instead.
</Note>

### Implementation Details

* **No request body**: This is a `GET` request with no parameters.
* **Response format**: Returns an array of country name strings.


## OpenAPI

````yaml api-reference/openapi/french-eco.json GET /material-library/country-list
openapi: 3.0.0
info:
  title: pic-api
  version: 1.0.0
servers:
  - url: https://api-v2.production.higg.org/pic-api/v1
    description: Production
  - url: https://api-v2.demo.higg.org/pic-api/v1
    description: Demo
security:
  - sec0: []
    sec1: []
paths:
  /material-library/country-list:
    get:
      summary: Get Country List
      operationId: GetCountryList
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                items:
                  type: string
                type: array
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: x-api-key
    sec1:
      type: apiKey
      in: header
      name: x-developer-request-token

````